Skip to main content
GET
/
api
/
v2
/
liquidity
/
utilization
/
proof-of-funds
/
{withdrawalRequestId}
Get Proof of Funds
curl --request GET \
  --url https://api.mansafinance.co/api/v2/liquidity/utilization/proof-of-funds/{withdrawalRequestId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "withdrawal_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "file_name": "<string>",
    "mime_type": "<string>",
    "url": "<string>",
    "file_size": 123,
    "hash_sha256": "<string>",
    "recorded_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

x-api-key
string
header
required

API key for authentication

Authorization
string
header
required

JWT token following RFC001 specification

Path Parameters

withdrawalRequestId
string<uuid>
required

ID of the withdrawal request

Response

List of proof-of-funds documents

id
string<uuid>
withdrawal_request_id
string<uuid>
file_name
string
mime_type
string
url
string
file_size
integer
hash_sha256
string
recorded_at
string<date-time>
created_at
string<date-time>
updated_at
string<date-time>